aboutsummaryrefslogtreecommitdiffstats
path: root/tools/sh/may_execute_command.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tools/sh/may_execute_command.sh')
-rwxr-xr-xtools/sh/may_execute_command.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/tools/sh/may_execute_command.sh b/tools/sh/may_execute_command.sh
new file mode 100755
index 0000000..5aad4a3
--- /dev/null
+++ b/tools/sh/may_execute_command.sh
@@ -0,0 +1,11 @@
+#!/usr/bin/env bash
+set -e
+
+# @describe Executes a shell command.
+# @option --command! Command to execute, such as `ls -la`
+
+main() {
+ eval "$argc_command"
+}
+
+eval "$(argc --argc-eval "$0" "$@")" \ No newline at end of file